<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
    <xsl:output method="xml" encoding="UTF-8" indent="no" omit-xml-declaration="no"/>

    <xsl:template match="/">
        <!--
            html5の<!DOCTYPE html>を入れる。
            (java.xmlではPUBLIC IDやSYSTEM ID無しの表現ができないため)

            補足：<!DOCTYPE html SYSTEM "about:legacy-compat"> という形式であれば、
            　doctype-system="about:legacy-compat" で書き込むことが可能。
            　ただし、読み込むときに、
            　　java.net.MalformedURLException: unknown protocol: about
            　というエラーになる。このエラーの回避方法が分かっていない。
        -->
        <xsl:text disable-output-escaping='yes'>&#xA;&lt;!DOCTYPE html&gt;&#xA;</xsl:text>
        <xsl:copy-of select="."/>
        <xsl:text disable-output-escaping='yes'>&#xA;</xsl:text>
    </xsl:template>

</xsl:stylesheet>